## UnicapgtkVideoFormatSelection

UnicapgtkVideoFormatSelection

## Synopsis

    #define             UNICAPGTK_VIDEO_FORMAT_SELECTION_TYPE
    #define             UNICAPGTK_VIDEO_FORMAT_SELECTION    (obj)
    #define             UNICAPGTK_VIDEO_FORMAT_SELECTION_CLASS(klass)
    #define             IS_UNICAPGTK_VIDEO_FORMAT_SELECTION (obj)
    #define             IS_UNICAPGTK_VIDEO_FORMAT_SELECTION_CLASS(klass)
                        UnicapgtkVideoFormatSelection;
    GType               unicapgtk_video_format_selection_get_type
                                                            (void);
    GtkWidget*          unicapgtk_video_format_selection_new
                                                            (void);
    GtkWidget*          unicapgtk_video_format_selection_new_by_handle
                                                            (unicap_handle_t handle);
    GtkWidget*          unicapgtk_video_format_selection_new_by_device
                                                            (unicap_device_t *device_spec);
    unicap_format_t*    unicapgtk_video_format_selection_get_format
                                                            (UnicapgtkVideoFormatSelection *ugtk);
    gboolean            unicapgtk_video_format_selection_set_device
                                                            (UnicapgtkVideoFormatSelection *ugtk,
                                                             unicap_device_t *device_spec);
    void                unicapgtk_video_format_selection_set_handle
                                                            (UnicapgtkVideoFormatSelection *ugtk,
                                                             unicap_handle_t handle);
    unicap_handle_t     unicapgtk_video_format_selection_get_handle
                                                            (UnicapgtkVideoFormatSelection *ugtk);

## Description

## Details

### UNICAPGTK_VIDEO_FORMAT_SELECTION_TYPE

    #define UNICAPGTK_VIDEO_FORMAT_SELECTION_TYPE            (unicapgtk_video_format_selection_get_type ())

### UNICAPGTK_VIDEO_FORMAT_SELECTION()

    #define             UNICAPGTK_VIDEO_FORMAT_SELECTION(obj)

`obj` : |

### UNICAPGTK_VIDEO_FORMAT_SELECTION_CLASS()

    #define             UNICAPGTK_VIDEO_FORMAT_SELECTION_CLASS(klass)

`klass` : |

### IS_UNICAPGTK_VIDEO_FORMAT_SELECTION()

    #define IS_UNICAPGTK_VIDEO_FORMAT_SELECTION(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), UNICAPGTK_VIDEO_FORMAT_SELECTION_TYPE))

`obj` : |

### IS_UNICAPGTK_VIDEO_FORMAT_SELECTION_CLASS()

    #define IS_UNICAPGTK_VIDEO_FORMAT_SELECTION_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), UNICAPGTK_VIDEO_FORMAT_SELECTION_TYPE))

`klass` : |

### UnicapgtkVideoFormatSelection

    typedef struct {
    		GtkHBox hbox;
    		GtkWidget *fourcc_menu;
    		GtkWidget *size_menu;

    		unicap_handle_t unicap_handle;
    		unicap_device_t device;
    		unicap_format_t format;
    } UnicapgtkVideoFormatSelection;

### unicapgtk_video_format_selection_get_type ()

    GType               unicapgtk_video_format_selection_get_type
                                                            (void);

Returns : |

### unicapgtk_video_format_selection_new ()

    GtkWidget*          unicapgtk_video_format_selection_new
                                                            (void);

Returns : |

### unicapgtk_video_format_selection_new_by_handle ()

    GtkWidget*          unicapgtk_video_format_selection_new_by_handle
                                                            (unicap_handle_t handle);

`handle` : |
Returns : |

### unicapgtk_video_format_selection_new_by_device ()

    GtkWidget*          unicapgtk_video_format_selection_new_by_device
                                                            (unicap_device_t *device_spec);

`device_spec` : |
Returns : |

### unicapgtk_video_format_selection_get_format ()

    unicap_format_t*    unicapgtk_video_format_selection_get_format
                                                            (UnicapgtkVideoFormatSelection *ugtk);

`ugtk` : |
Returns : |

### unicapgtk_video_format_selection_set_device ()

    gboolean            unicapgtk_video_format_selection_set_device
                                                            (UnicapgtkVideoFormatSelection *ugtk,
                                                             unicap_device_t *device_spec);

`ugtk` : |
`device_spec` : |
Returns : |

### unicapgtk_video_format_selection_set_handle ()

    void                unicapgtk_video_format_selection_set_handle
                                                            (UnicapgtkVideoFormatSelection *ugtk,
                                                             unicap_handle_t handle);

`ugtk` : |
`handle` : |

### unicapgtk_video_format_selection_get_handle ()

    unicap_handle_t     unicapgtk_video_format_selection_get_handle
                                                            (UnicapgtkVideoFormatSelection *ugtk);

`ugtk` : |
Returns : |